Subject: Re: bug#67928: 30.0.50; [PATCH] Load GDB history in gud-gdb

From: Manuel Giraud <[email-masked]>
Date: Wed, 20 Dec 2023 15:00:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 20 Dec 2023 13:43:23 +0100
>> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> 'M-x gud-gdb' does not load GDB history by default.  This patch fixes
>> this.
>
> Thanks, but why should we enhance gud-gdb?  It is based on a
> deprecated GDB feature (annotations), which the GDB developers may
> remove some day without any advance warning.  It is basically kept in
> Emacs as a fallback, for those who for some reasons cannot use gdb-mi.
> And gdb-mi already loads the history.
>
> Are there any reasons for you to use gud-gdb?

I have set 'gdb-many-windows' to 't' but sometimes I like the simpler
version provided by gud-gdb...  But yes, this reason is not sufficient.
Before closing this PR, could I modify this patch to, at least, isolate
history loading into its own function?
-- 
Manuel Giraud